const { alias } = require('react-app-rewire-alias');

module.exports = function override(config) {
  alias({
    '@pages': 'src/pages',
    '@shared': 'src/components/shared',
    '@components': 'src/components',
    '@store': 'src/store',
    '@services': 'src/services',
    '@assets' : 'src/assets',
    '@styles' : 'src/styles'
  })(config);

  return config;
};