import React from 'react'
import './room-in-my-house.scss'

const RoomInMyHouseContainer = ({ imageData, onFullScreen }) => {
  const backgroundStyles = {
    backgroundImage: `url(${imageData})`,
  };

  return (
    <div className='room-in-my-house-container'>
      <div className='room-house-img-container' style={backgroundStyles}>
    </div>

      <>
        <div className='blind-controls '>
          <div className='blind-container blind-btn'>
            <button className='btn btn-transparent' onClick={() => {}} >
              <img alt='' src='https://visualization.graberblinds.com/assets/graphics/2021_auto_detect.svg' />
            </button>

            <button className='btn btn-transparent' onClick={() => {}} >
              <img alt='' src='https://visualization.graberblinds.com/assets/graphics/2021_add_window.svg' />
            </button>

            <button className='btn btn-transparent' onClick={() => {}} >
              <img alt='' src='https://visualization.graberblinds.com/assets/graphics/2021_remove_window.svg' />
            </button>
          </div>

          <div className='blind-container blind-btn m-l-10'>
            <button
              className='btn btn-transparent'
              onClick={() => {}}
            >
              <img
                alt=''
                src='https://visualization.graberblinds.com/assets/graphics/2021_zoom_reset.svg'
              />
            </button>

            <button
              className='btn btn-transparent'
              onClick={() => {}}
            >
              <img
                alt=''
                src='https://visualization.graberblinds.com/assets/graphics/2021_zoom_out.svg'
              />
            </button>
            <button
              className='btn btn-transparent'
              onClick={() => {}}
            >
              <img
                alt=''
                src='https://visualization.graberblinds.com/assets/graphics/2021_zoom_in.svg'
              />
            </button>

            <button className='btn btn-transparent full-screen' onClick={onFullScreen}>
              <img
                alt=''
                src='https://visualization.graberblinds.com/assets/graphics/2021_fullscreen.svg'
              />
            </button>
          </div>


          </div>
        </>
    </div>
  )
}
export default RoomInMyHouseContainer
