import LocalStorage from "./local-storage";
import VisualizationInfo from "./visualization-info";

export const SaveRetrieveScene = (sessionData) => {
    try {
        let currentTimeStamp = Object.keys(sessionData)
        .map(currentTimeStamp => {
            return currentTimeStamp
        })
        .toString()
      
        if (LocalStorage.get('savedProjects')) {
            let parseData = LocalStorage.get('savedProjects')
            const isTimeStamp = VisualizationInfo.getTimeStamps('savedProjects').includes(currentTimeStamp);
            const getIndex = VisualizationInfo.getTimeStamps('savedProjects').indexOf(currentTimeStamp)
            
            if (!isTimeStamp) {
                parseData.unshift(sessionData)
            }else{
                parseData.splice(getIndex, 1)
                parseData.unshift(sessionData)
            }
            LocalStorage.set('savedProjects', parseData)
            
        } else {
            LocalStorage.set('savedProjects', [sessionData])
        }
        return true;
    } catch (error) {
        console.log('error retrieve scene', error)
        return false;
    }
}

